### Function

# Qmi DmsBootImageDownloadMode get_string

since: 1.18

#### Declaration [src]

    const gchar*
    qmi_dms_boot_image_download_mode_get_string (
      QmiDmsBootImageDownloadMode val
    )

#### Description [src]

Gets the nickname string for the `QmiDmsBootImageDownloadMode` specified at `val`.

Available since: 1.18

#### Parameters

`val`

  Type: `QmiDmsBootImageDownloadMode`

  A QmiDmsBootImageDownloadMode.

#### Return value

Type: `const gchar*`

A string with the nickname, or `NULL` if not found. Do not free the returned value.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.